package com.qmth.sop.business.bean.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.qmth.sop.business.util.excel.BasicExcelRow;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 派单明细导入
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/5/14
 */
@ColumnWidth(value = 30)
@HeadStyle(fillForegroundColor = 11)
@HeadFontStyle(color = 1)
public class CrmDetailImportDto extends BasicExcelRow implements Serializable {

    @ExcelProperty(value = "科目名称")
    @NotNull(message = "科目名称不能为空")
    private String courseName;

    @ExcelProperty(value = "考生人数")
    @NotNull(message = "考生人数不能为空")
    @Length(message = "考生人数不能超过{max}个字符", max = 8)
    private String examStudentCount;

    @ExcelProperty(value = "联系人")
    private String contacts;

    @ExcelProperty(value = "电话")
    private String mobileNumber;

    @ExcelProperty(value = "服务范围")
    @NotNull(message = "服务范围不能为空")
    private String serviceScope;

    @ExcelProperty(value = "扫描开始时间")
    @NotNull(message = "扫描开始时间不能为空")
    private String scanStartTime;

    @ExcelProperty(value = "扫描结束时间")
    @NotNull(message = "扫描结束时间不能为空")
    private String scanEndTime;

    @ExcelProperty(value = "阅卷开始时间")
    @NotNull(message = "阅卷开始时间不能为空")
    private String markPaperStartTime;

    @ExcelProperty(value = "阅卷结束时间")
    @NotNull(message = "阅卷结束时间不能为空")
    private String markPaperEndTime;

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getExamStudentCount() {
        return examStudentCount;
    }

    public void setExamStudentCount(String examStudentCount) {
        this.examStudentCount = examStudentCount;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public String getServiceScope() {
        return serviceScope;
    }

    public void setServiceScope(String serviceScope) {
        this.serviceScope = serviceScope;
    }

    public String getScanStartTime() {
        return scanStartTime;
    }

    public void setScanStartTime(String scanStartTime) {
        this.scanStartTime = scanStartTime;
    }

    public String getScanEndTime() {
        return scanEndTime;
    }

    public void setScanEndTime(String scanEndTime) {
        this.scanEndTime = scanEndTime;
    }

    public String getMarkPaperStartTime() {
        return markPaperStartTime;
    }

    public void setMarkPaperStartTime(String markPaperStartTime) {
        this.markPaperStartTime = markPaperStartTime;
    }

    public String getMarkPaperEndTime() {
        return markPaperEndTime;
    }

    public void setMarkPaperEndTime(String markPaperEndTime) {
        this.markPaperEndTime = markPaperEndTime;
    }
}

